Bug 355991 - SDL_mixer should be linked against system libmikmod + fix
Summary: SDL_mixer should be linked against system libmikmod + fix
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: SDL_mixer   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-28 19:42 UTC by Hans de Goede
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: SDL_mixer-1.2.8-5.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 19:42:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hans de Goede 2007-10-28 19:42:45 UTC
SDL_mixer is currently not linked against the system libmikmod (try running ldd
on it).

The fix is easy, you already BuildRequire mikmod-devel, but the configure script
does not check for a system libmikmod by defaault, add --enable-music-libmikmod
to the %configure flags to fix this.

It would be nice if you could fix this soon, I found this out while debugging
problems with the latest version of advanced strategic command. The latest ASC
uses both SDL_mixer and SDL_sound, so I've created a patented stuff free version
of SDL_sound, but this uses mikmod too, having SDL_mixer use its own (older)
included copy and SDL_sound the system one leads to problems as all the mikmod
symbols are no present in the namespace during linkinh twice, leading to all
kind of problems.

Thanks,

Hans

Comment 1 Brian Pepple 2007-11-12 19:42:49 UTC
Fixed in SDL_mixer-1.2.8-5.fc9.  Thanks for the bug report.

Comment 2 Fedora Update System 2007-11-12 23:58:49 UTC
SDL_mixer-1.2.8-5.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update SDL_mixer'

Comment 3 Hans de Goede 2007-11-13 09:44:13 UTC
I can confirm that this fixes the issues for apps which use both SDL_sound and
SDL_mixer (asc, the new involved version will hit rawhide soon).


Comment 4 Fedora Update System 2007-11-20 17:53:07 UTC
SDL_mixer-1.2.8-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.